swish-0.10.4.0: A semantic web toolkit.

Copyright | (c) 2003 Graham Klyne 2009 Vasili I Galchin 2011 2012 Douglas Burke
License | GPL V2
Maintainer | Douglas Burke
Stability | experimental
Portability | H98
Safe Haskell | Safe-Inferred
Language | Haskell2010

Swish.RDF.BuiltIn.Datatypes

Description

This module collects references and provides access to all of the datatypes built in to Swish.

Synopsis

- allDatatypes :: [RDFDatatype]
- findRDFDatatype :: ScopedName -> Maybe RDFDatatype

# Documentation

allDatatypes :: [RDFDatatype] Source #

Al the data type declarations built into Swish.

findRDFDatatype :: ScopedName -> Maybe RDFDatatype Source #

Look up a data type declaration.